function [f,S]=Analisis_espectral(t,x)
N=numel(t); %cantidad de datos
%f=(t(2)-t(1))^-1; %frecuencia del muestreo
X = fft(x)/N; % FFT (m), hay que re-normalizarla dividiendo por el n�mero de muestras, se puede ver el Help de Matlab.
tm=t(end);

df=1/tm; % frecuencia m�s baja que se resuelve (Hz), nos da la resuluci�n en frecuencia del power density spectra.
f_Sxx=(0:N-1)*df; % frecuencias para el two sided power density spectra, va de 0 a (Fs-df).
Sxx=X.*conj(X)/df; % two sided power density spectra (m^2), dividimos por df para tener densidad espectral en lugar de espectro.

S=2*Sxx(1:floor(N/2)); % one sided power density spectra (m^2), multiplicamos por 2 para mantener que su integral nos da la varianza.
f=f_Sxx(1:floor(N/2));% frecuencias para el two sided power density spectra, va de 0 a (Fs/2-df).